
From: <janitor@sternwelten.at>

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/sa1100_h3600.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/pcmcia/sa1100_h3600.c~janitor-pcmcia-sa1100_h3600-replace-schedule_timeout-with-msleep drivers/pcmcia/sa1100_h3600.c
--- 25/drivers/pcmcia/sa1100_h3600.c~janitor-pcmcia-sa1100_h3600-replace-schedule_timeout-with-msleep	Thu Sep 23 15:39:11 2004
+++ 25-akpm/drivers/pcmcia/sa1100_h3600.c	Thu Sep 23 15:39:11 2004
@@ -10,6 +10,7 @@
 #include <linux/device.h>
 #include <linux/interrupt.h>
 #include <linux/init.h>
+#include <linux/delay.h>
 
 #include <asm/hardware.h>
 #include <asm/irq.h>
@@ -96,8 +97,7 @@ static void h3600_pcmcia_socket_init(str
 	set_h3600_egpio(IPAQ_EGPIO_OPT_ON);
 	clr_h3600_egpio(IPAQ_EGPIO_OPT_RESET);
 
-	set_current_state(TASK_UNINTERRUPTIBLE);
-	schedule_timeout(10*HZ / 1000);
+	msleep(10);
 
 	soc_pcmcia_enable_irqs(skt, irqs, ARRAY_SIZE(irqs));
 }
_
